> ## Documentation Index
> Fetch the complete documentation index at: https://docs.e-invoice.be/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook

> Update a webhook by ID



## OpenAPI

````yaml /openapi.json put /api/webhooks/{webhook_id}
openapi: 3.1.0
info:
  title: e-invoice.be Peppol Access Point API
  version: 1.1.0
  x-logo:
    url: https://e-invoice.be/einvoice.svg
servers:
  - url: https://api.e-invoice.be
    description: Production
security: []
paths:
  /api/webhooks/{webhook_id}:
    put:
      tags:
        - Webhooks
      summary: Update Webhook
      description: Update a webhook by ID
      operationId: update_webhook_api_webhooks__webhook_id__put
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            title: Webhook Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookResponse'
        '401':
          description: 'Unauthorized: API key is missing, invalid, or inactive'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: 'Not Found: Webhook with the specified ID doesn''t exist'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: 'Unprocessable Entity: Invalid response data'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: 'Internal Server Error: Unexpected server error'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    WebhookUpdate:
      properties:
        events:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Events
        url:
          anyOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: 'null'
          title: Url
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
      type: object
      title: WebhookUpdate
      description: Schema for updating an existing webhook.
    WebhookResponse:
      properties:
        events:
          items:
            type: string
          type: array
          title: Events
        url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Url
        enabled:
          type: boolean
          title: Enabled
          default: true
        id:
          type: string
          title: Id
        secret:
          type: string
          title: Secret
      type: object
      required:
        - events
        - url
        - id
        - secret
      title: WebhookResponse
      description: Response model for webhook API endpoints.
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
      description: Error response model.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````